set_macros-inl.h File Reference
`#include "hwy/detect_targets.h"`

Go to the source code of this file.

## Macros

#define | HWY_TARGET_STR_PCLMUL_AES ",pclmul,aes"
#define | HWY_TARGET_STR_BMI2_FMA ",bmi,bmi2,fma"
#define | HWY_TARGET_STR_F16C ",f16c"
#define | HWY_TARGET_STR_SSSE3 "sse2,ssse3"
#define | HWY_TARGET_STR_SSE4 HWY_TARGET_STR_SSSE3 ",sse4.1,sse4.2" HWY_TARGET_STR_PCLMUL_AES
#define | HWY_TARGET_STR_AVX2 HWY_TARGET_STR_SSE4 ",avx,avx2" HWY_TARGET_STR_BMI2_FMA HWY_TARGET_STR_F16C
#define | HWY_TARGET_STR_AVX3 HWY_TARGET_STR_AVX2 ",avx512f,avx512vl,avx512dq,avx512bw"
#define | HWY_NAMESPACE N_SSSE3
#define | HWY_ALIGN alignas(16)
#define | HWY_MAX_BYTES 16
#define | HWY_LANES(T) (16 / sizeof(T))
#define | HWY_HAVE_SCALABLE 0
#define | HWY_HAVE_INTEGER64 1
#define | HWY_HAVE_FLOAT16 1
#define | HWY_HAVE_FLOAT64 1
#define | HWY_MEM_OPS_MIGHT_FAULT 1
#define | HWY_NATIVE_FMA 0
#define | HWY_CAP_GE256 0
#define | HWY_CAP_GE512 0
#define | HWY_TARGET_STR HWY_TARGET_STR_SSSE3
#define | HWY_BEFORE_NAMESPACE()
#define | HWY_AFTER_NAMESPACE()
#define | HWY_ATTR

## Macro Definition Documentation

## HWY_AFTER_NAMESPACE

#define HWY_AFTER_NAMESPACE | ( |  | ) |

Value:
HWY_POP_ATTRIBUTES \
static_assert(true, "For requiring trailing semicolon")

## HWY_ALIGN

#define HWY_ALIGN alignas(16)

## HWY_ATTR

#define HWY_ATTR

## HWY_BEFORE_NAMESPACE

#define HWY_BEFORE_NAMESPACE | ( |  | ) |

Value:
HWY_PUSH_ATTRIBUTES(HWY_TARGET_STR) \
static_assert(true, "For requiring trailing semicolon")
HWY_PUSH_ATTRIBUTES
#define HWY_PUSH_ATTRIBUTES(targets_str)
Definition base.h:122
HWY_TARGET_STR
#define HWY_TARGET_STR
Definition set_macros-inl.h:96

## HWY_CAP_GE256

#define HWY_CAP_GE256 0

## HWY_CAP_GE512

#define HWY_CAP_GE512 0

## HWY_HAVE_FLOAT16

#define HWY_HAVE_FLOAT16 1

## HWY_HAVE_FLOAT64

#define HWY_HAVE_FLOAT64 1

## HWY_HAVE_INTEGER64

#define HWY_HAVE_INTEGER64 1

## HWY_HAVE_SCALABLE

#define HWY_HAVE_SCALABLE 0

## HWY_LANES

#define HWY_LANES | ( |  | T | ) | (16 / sizeof(T))

## HWY_MAX_BYTES

#define HWY_MAX_BYTES 16

## HWY_MEM_OPS_MIGHT_FAULT

#define HWY_MEM_OPS_MIGHT_FAULT 1

## HWY_NAMESPACE

#define HWY_NAMESPACE N_SSSE3

## HWY_NATIVE_FMA

#define HWY_NATIVE_FMA 0

## HWY_TARGET_STR

#define HWY_TARGET_STR HWY_TARGET_STR_SSSE3

## HWY_TARGET_STR_AVX2

#define HWY_TARGET_STR_AVX2 HWY_TARGET_STR_SSE4 ",avx,avx2" HWY_TARGET_STR_BMI2_FMA HWY_TARGET_STR_F16C

## HWY_TARGET_STR_AVX3

#define HWY_TARGET_STR_AVX3 HWY_TARGET_STR_AVX2 ",avx512f,avx512vl,avx512dq,avx512bw"

## HWY_TARGET_STR_BMI2_FMA

#define HWY_TARGET_STR_BMI2_FMA ",bmi,bmi2,fma"

## HWY_TARGET_STR_F16C

#define HWY_TARGET_STR_F16C ",f16c"

## HWY_TARGET_STR_PCLMUL_AES

#define HWY_TARGET_STR_PCLMUL_AES ",pclmul,aes"

## HWY_TARGET_STR_SSE4

#define HWY_TARGET_STR_SSE4 HWY_TARGET_STR_SSSE3 ",sse4.1,sse4.2" HWY_TARGET_STR_PCLMUL_AES

## HWY_TARGET_STR_SSSE3

#define HWY_TARGET_STR_SSSE3 "sse2,ssse3"